#ifdef _WIN32
	#include <windows.h>
	#include <SDL.h>
	#include <SDL_image.h>
#elif __linux__
	#include <SDL/SDL.h>
	#include <SDL/SDL_image.h>
#endif

#include <stdio.h>
#include <stdlib.h>


int main(int argc, char** argv)
{
    if(argc != 2){
        printf("usage:\n\t./main <filename.bmp> (or other file formats)\n");
        exit(0);
    }

    SDL_Surface* screen;

    SDL_Init(SDL_INIT_VIDEO);
    screen = SDL_SetVideoMode(320, 240, 16, SDL_SWSURFACE);

    SDL_Surface* png = IMG_Load(argv[1]);
    SDL_BlitSurface(png, NULL, screen, NULL);
    SDL_Flip(screen);
    SDL_Delay(3000);

    int x=0, y=0, z=0;
    uint16_t *p=screen->pixels;

    printf("uint16_t hex_splash[]={\n");
    for(y=0; y<240; y++){
        for(x=0; x<40; x++){
            for(z=0; z<8; z++){
		printf("0x%x, ", *(p++));
            }
            printf("\n");
        }
    }
    printf("};\n");

    SDL_FreeSurface(png);
    SDL_Quit();
    return 0;
}
